Export Configuration
curl --request POST \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/export \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
"googleOAuthToken": "ya29.a0AfH6SM..."
}
'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/export"
payload = {
"spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
"googleOAuthToken": "ya29.a0AfH6SM..."
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spreadsheetId: '1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms',
googleOAuthToken: 'ya29.a0AfH6SM...'
})
};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
"spreadsheetUrl": "https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms"
}Configuration Management
Export Configuration
Exports the company’s FMV1 configuration to an existing Google Spreadsheet. The spreadsheet is overwritten with the current configuration including field definitions, option sets, custom objects, card definitions, card sections, and field locations.
The caller must provide their own Google OAuth2 access token with edit permission on the target spreadsheet.
Required permission: company.configuration:export
This endpoint requires an API key created with the FMV1_CONFIGURATION_MANAGER role. See Authentication for how to create API keys with specific roles.
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
configuration
/
export
Export Configuration
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Was this page helpful?
